Bug 1039862 - [RFE] add events for remote console connection
Summary: [RFE] add events for remote console connection
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Oved Ourfali
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On:
Blocks: 953540
TreeView+ depends on / blocked
 
Reported: 2013-12-10 08:23 UTC by Oved Ourfali
Modified: 2014-12-15 12:46 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-31 15:05:52 UTC
oVirt Team: ---


Attachments (Terms of Use)
screen-shot: GUI / e-mail client (123.13 KB, image/png)
2014-01-24 22:35 UTC, Einav Cohen
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 22223 None None None Never

Internal Links: 1020408

Description Oved Ourfali 2013-12-10 08:23:40 UTC
When users connect to the console, no event notification is available to specify that it happened.

Please add two types of events:
1. SetVmTicket event - when the user initiated the session
2. ClientIp changed event - when the user connects (this event requires having a guest agent installed on the guest)

Comment 1 Sandro Bonazzola 2014-01-13 13:57:07 UTC
oVirt 3.4.0 alpha has been released including the fix for this issue.

Comment 2 Einav Cohen 2014-01-24 22:35:54 UTC
Created attachment 855242 [details]
screen-shot: GUI / e-mail client

Comment 3 Einav Cohen 2014-01-24 22:47:59 UTC
ovirt-3.4 beta test-day results:

[see attachment 855242 [details]]

- 3 event notification types were added to the Event Notification dialog in the GUI:

   * VM console connected
   * VM console disconnected
   * VM console session initiated

- I checked all 3 event notification types above in the dialog, filled my e-mail address and configured / started the ovirt-engine-notifier.service on my ovirt-engine server. 

- I started two VMs - one with agent (F19) and one without agent (Blank). 

- connected to both VMs with SPICE and then disconnected. 

(In reply to Oved Ourfali from comment #0)
> ...
> 2. ClientIp changed event - when the user connects (this event requires
> having a guest agent installed on the guest)

- for each one of the two VMs, I got 3 e-mails of all 3 events, so it means that no event required a guest agent installed (it seems that the ClientIp is updated even without having an installed guest-agent on the VM). 

- I unchecked the 3 event notification types from the dialog, and connected/disconnected to the VM's console. I haven't received any notification e-mails on these events, as expected.

Comment 4 Michal Skrivanek 2014-01-27 09:21:11 UTC
(In reply to Einav Cohen from comment #3)
- for each one of the two VMs, I got 3 e-mails of all 3 events, so it means that no event required a guest agent installed (it seems that the ClientIp is updated even without having an installed guest-agent on the VM).

indeed, it's a console client's IP, not the one reported by GA, so it's always going to work fine unless connecting from the same IP

Comment 5 Einav Cohen 2014-01-27 13:47:38 UTC
(In reply to Michal Skrivanek from comment #4)
> (In reply to Einav Cohen from comment #3)
> - for each one of the two VMs, I got 3 e-mails of all 3 events, so it means
> that no event required a guest agent installed (it seems that the ClientIp
> is updated even without having an installed guest-agent on the VM).
> 
> indeed, it's a console client's IP, not the one reported by GA, so it's
> always going to work fine unless connecting from the same IP

thanks for the confirmation, Michal.

Comment 6 Sandro Bonazzola 2014-03-31 15:05:52 UTC
This is an automated message: moving to Closed CURRENT_RELEASE since oVirt 3.4.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.